"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.stringToJson = stringToJson;
exports.stringToAvroSchema = stringToAvroSchema;
const avsc_1 = __importDefault(require("avsc"));
function stringToJson(input) {
    let parsed = input;
    let output = {};
    try {
        while (typeof parsed === 'string') {
            parsed = JSON.parse(parsed);
        }
        output = parsed;
    }
    catch (error) {
        // console.log(error)
    }
    return output;
}
function stringToAvroSchema(input) {
    const schema = stringToJson(input);
    return schema ? avsc_1.default.Type.forSchema(schema) : undefined;
}
//# sourceMappingURL=json-parser.js.map